// canted state (2spins per magnetic UC) for lc_mf.ccm
// - set UseAlpha in solve.C
// - use restriction=4 (no length=1 configs)
double usr_angle(int bond, int term,  double alpha)
{

  double mult = 0.0;  // default for other terms
  double       phi1 =   alpha; /* + M_PI was in the script ??? */
  double       phi2 = 2*alpha;  // nn-neigbour 
  
  if (bond==1 ) {   // J2 bit now...
    if      (term_13[term] == 10) mult=    1.0*(sin(phi1));   // s^z
    else if (term_13[term] == 11) mult=    0.5*(cos(phi1));   // s^-
    else if (term_13[term] == 13) mult=    0.5*(cos(phi1));   // s^+
  } else if (bond==2 ) {  // J_1 bit now...
    if      (term_13[term] ==  1) mult=    -1.0*cos(phi2);    // zz
    else if (term_13[term] ==  2) mult=    -0.5*sin(phi2);    // z+
    else if (term_13[term] ==  3) mult=    -0.5*sin(phi2);    // z-
    else if (term_13[term] ==  4) mult=     0.5*sin(phi2);    // +z
    else if (term_13[term] ==  5) mult=     0.5*sin(phi2);    // -z
    else if (term_13[term] ==  6) mult=  -0.25*(cos(phi2)-1); // +-
    else if (term_13[term] ==  7) mult=  -0.25*(cos(phi2)-1); // -+
    else if (term_13[term] ==  8) mult=  -0.25*(cos(phi2)+1); // ++
    else if (term_13[term] ==  9) mult=  -0.25*(cos(phi2)+1); // --
  }
  return mult;
}
